# rpmQVKArguments_s Struct Reference
[Command Line API.]

Describe query/verify/signature command line operation. More...

`#include <rpmcli.h>`

## Data Fields

rpmQVSources | qva_source
int | qva_sourceCount
rpmQueryFlags | qva_flags
rpmfileAttrs | qva_fflags
rpmdbMatchIterator | qva_mi
rpmgi | qva_gi
rpmRC | qva_rc
QVF_t | qva_showPackage
QSpecF_t | qva_specQuery
int | qva_verbose
char * | qva_queryFormat
int | sign
const char * | passPhrase
const char * | qva_prefix
char | qva_mode
char | qva_char

## Detailed Description

Describe query/verify/signature command line operation.

Definition at line 171 of file rpmcli.h.

## Field Documentation

rpmQVSources rpmQVKArguments_s::qva_source

Identify CLI arg type.

Definition at line 172 of file rpmcli.h.

Referenced by main().

int rpmQVKArguments_s::qva_sourceCount

Exclusive option check (>1 is error).

Definition at line 173 of file rpmcli.h.

Referenced by main().

rpmQueryFlags rpmQVKArguments_s::qva_flags

Bit(s) to control operation.

Definition at line 174 of file rpmcli.h.

Referenced by main().

rpmfileAttrs rpmQVKArguments_s::qva_fflags

Bit(s) to filter on attribute.

Definition at line 175 of file rpmcli.h.

rpmdbMatchIterator rpmQVKArguments_s::qva_mi

Match iterator on selected headers.

Definition at line 176 of file rpmcli.h.

rpmgi rpmQVKArguments_s::qva_gi

Generalized iterator on args.

Definition at line 177 of file rpmcli.h.

rpmRC rpmQVKArguments_s::qva_rc

Current return code.

Definition at line 178 of file rpmcli.h.

QVF_t rpmQVKArguments_s::qva_showPackage

Function to display iterator matches.

Definition at line 180 of file rpmcli.h.

QSpecF_t rpmQVKArguments_s::qva_specQuery

Function to query spec file.

Definition at line 181 of file rpmcli.h.

Referenced by main().

int rpmQVKArguments_s::qva_verbose

(unused)

Definition at line 182 of file rpmcli.h.

char* rpmQVKArguments_s::qva_queryFormat

Format for headerFormat().

Definition at line 183 of file rpmcli.h.

Referenced by main().

int rpmQVKArguments_s::sign

Is a passphrase needed?

Definition at line 184 of file rpmcli.h.

Referenced by main().

const char* rpmQVKArguments_s::passPhrase

Pass phrase.

Definition at line 185 of file rpmcli.h.

Referenced by main().

const char* rpmQVKArguments_s::qva_prefix

Path to top of install tree.

Definition at line 186 of file rpmcli.h.

char rpmQVKArguments_s::qva_mode

- 'q' from --query, -q
- 'Q' from --querytags
- 'V' from --verify, -V
- 'A' from --addsign
- 'I' from --import
- 'K' from --checksig, -K
- 'R' from --resign

Definition at line 188 of file rpmcli.h.

Referenced by main().

char rpmQVKArguments_s::qva_char

(unused) always ' '

Definition at line 197 of file rpmcli.h.

The documentation for this struct was generated from the following file:

- rpmcli.h